#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           merkuro
Version: 24.05.1
Release:        %mkrel %{rel}
Summary:        Calendar Application
License:        GPL-3.0-only
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/merkuro.calendar
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core) >= 6.6
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6QuickTest)

BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemModels)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6QQC2DesktopStyle)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KF6KirigamiAddons)

BuildRequires:  cmake(Plasma)
BuildRequires:  pkgconfig(gpgme)
BuildRequires:  git-core

BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6AkonadiCalendar)
BuildRequires:  cmake(KPim6AkonadiContactCore)
BuildRequires:  cmake(KPim6AkonadiMime)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6IdentityManagementQuick)
BuildRequires:  cmake(KPim6MailCommon)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6MimeTreeParserCore)
BuildRequires:  cmake(KPim6Mbox)
BuildRequires:  cmake(KPim6Mime)

Requires:       kalendarac
Requires:       akonadi-kde
Requires:       kdepim-addons
Requires:       kirigami
Requires:       kirigami-addons
Requires:       kitemmodels
Requires:       qt6-qtlocation
Requires:       qt6-qt5compat

Provides:       kalendar = 1:%{version}
Obsoletes:      kalendar < 1:23.04.4

%description
Calendar application using Akonadi to sync with external
services (NextCloud, GMail, ...).

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_categoriesdir}/akonadi.quick.categories
%{_kf6_categoriesdir}/merkuro.categories
%{_kf6_categoriesdir}/merkuro.contact.categories
%{_kf6_applicationsdir}/org.kde.merkuro.contact.desktop
%{_kf6_applicationsdir}/org.kde.merkuro.mail.desktop
%{_kf6_applicationsdir}/org.kde.merkuro.calendar.desktop
%{_kf6_bindir}/merkuro-mail
%{_kf6_bindir}/merkuro-calendar
%{_kf6_bindir}/merkuro-contact
%{_kf6_iconsdir}/hicolor/*/apps/org.kde.merkuro.*.png
%{_kf6_qmldir}/org/kde/akonadi/
%dir %{_kf6_qmldir}/org/kde/merkuro/
%{_kf6_qmldir}/org/kde/merkuro/contact/
%{_kf6_qmldir}/org/kde/merkuro/calendar/
%{_kf6_qmldir}/org/kde/merkuro/mail/
%{_kf6_qmldir}/org/kde/merkuro/components/
%{_kf6_metainfodir}/org.kde.merkuro.calendar.metainfo.xml
%{_kf6_metainfodir}/org.kde.merkuro.mail.metainfo.xml
%{_kf6_metainfodir}/org.kde.merkuro.contact.metainfo.xml
# plasmoid
%{_kf6_metainfodir}/org.kde.merkuro.contact.appdata.xml
%{_kf6_datadir}/plasma/plasmoids/org.kde.merkuro.contact

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-man --all-name


%changelog
* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073333
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069982
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058727
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045264
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037763
- New version 24.01.95

* Sun Feb 04 2024 daviddavid <daviddavid> 24.01.90-2.mga10
+ Revision: 2037079
- fix qtlocation6 dependency

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033885
- New version 24.01.90

* Thu Jan 04 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2027407
- New version 24.01.85

* Tue Nov 21 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2008623
- New version 24.01.75
- switch to Qt6/KF6

* Thu Oct 19 2023 daviddavid <daviddavid> 23.08.1-2.mga10
+ Revision: 1998923
- fix dependency on kdepim-addons

* Mon Sep 25 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1990909
- initial package merkuro (says hello to merkuro, a replacement for kalendar)

